io.vertx.redis.op

## Enum BitFieldOverflowOptions

- java.lang.Object
- - java.lang.Enum<BitFieldOverflowOptions>
  - - io.vertx.redis.op.BitFieldOverflowOptions

- All Implemented Interfaces:
    Serializable, Comparable<BitFieldOverflowOptions>

      public enum BitFieldOverflowOptions
      extends Enum<BitFieldOverflowOptions>

  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAIL`
    `SAT`
    `WRAP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BitFieldOverflowOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BitFieldOverflowOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WRAP

          public static final BitFieldOverflowOptions WRAP

    - #### SAT

          public static final BitFieldOverflowOptions SAT

    - #### FAIL

          public static final BitFieldOverflowOptions FAIL

  - ### Method Detail

    - #### values

          public static BitFieldOverflowOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitFieldOverflowOptions c : BitFieldOverflowOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitFieldOverflowOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 Eclipse. All rights reserved.